### Virtual Method

# Ide CompletionProvider refilter

#### Declaration

    gboolean
    refilter (
      IdeCompletionProvider* self,
      IdeCompletionContext* context,
      GListModel* proposals
    )

#### Description

This requests that the completion provider refilter the results based on changes to the `IdeCompletionContext`, such as additional text typed by the user. If the provider can refine the results, then the provider should do so and return `TRUE`.

Otherwise, `FALSE` is returned and the context will request a new set of completion results.

Available since: | 3.32

#### Parameters

`context` | `IdeCompletionContext`
| An `IdeCompletionContext`.
| The data is owned by the caller of the function.
`proposals` | `GObject`
| A `GListModel` of results previously provided to the context.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if refiltered; otherwise `FALSE`.